package com.jz.dmp.modules.controller.DataIntegration.bean.flow;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "工作流封装", description = "工作流封装")
public class FlowPro implements Serializable {

    /**
     * 工作流名称
     */
	@ApiModelProperty(value = "工作流名称")
    private String flowName;

    /**
     * 调度周期设置
     */
	@ApiModelProperty(value = "调度周期设置")
    private String scheduleSetting;

    /**
     * 失败选项
     */
	@ApiModelProperty(value = "失败选项")
    private String afterFailSelect;


    /// ----- 作为接收参数用
    /**
     * 流程项目id
     */
	@ApiModelProperty(value = "流程项目id")
    private Long projectId;

    /**
     * 流程要发布到的项目id
     */
	@ApiModelProperty(value = "流程要发布到的项目id")
    private Long publishedToProjectId;

    /**
     * dmp里生成的任务id
     */
	@ApiModelProperty(value = "dmp里生成的任务id")
    private Long taskId;

    /**
     * dmp里的树id
     */
	@ApiModelProperty(value = "dmp里的树id")
    private Long treeId;

    /**
     * 整个流程图数据
     */
	@ApiModelProperty(value = "整个流程图数据")
    private String flowJson;

    /**
     * 是否带版本号进行节点变更查询
     */
	@ApiModelProperty(value = "是否带版本号进行节点变更查询")
    private boolean isCheckVerion;

    /**
     * 检查节点名称要用到的参数
     */
	@ApiModelProperty(value = "检查节点名称要用到的参数")
    private String nodeName;

    /**
     *
     */
	@ApiModelProperty(value = "是否提交")
    private String isSubmit = "0";

}

